function init() {
// initialization code

}

function periodic() {
// periodically triggering code
  if(change == 1)
  {
      if(names == 0)
      {
  		myscadaSetText("text00001","Level");
  		myscadaSetText("text00002","Temp");
  		myscadaSetText("text00003","Heating");
  		myscadaSetText("text00005","Press.");
  		myscadaSetText("text0002","Pressure Supply");
  		myscadaSetText("text00006","Brake");
  		myscadaSetText("text00007","Emergency GW Closing");
  		myscadaSetText("text00008","Runner Closing");
  		myscadaSetText("text00009","Runner Opening");
  		myscadaSetText("text00010","Guide Wheel Closing");
  		myscadaSetText("text00011","Guide Wheel Opening");
  		myscadaSetText("text00012","Filter");
  		myscadaSetText("text00013","HPU Pump");
  		myscadaSetText("text00025","Filter");
  		myscadaSetText("text00026","Gate Pump");
  		myscadaSetText("text00027","Filter");
  		myscadaSetText("text00028","Arm B Pump");
  		myscadaSetText("text00019","Level");
  		myscadaSetText("text00020","Temp");
  		myscadaSetText("text00021","Heating");
  		myscadaSetText("text00029","Filter");
  		myscadaSetText("text00030","Arm A Pump");
  		myscadaSetText("text00031","Arm A Raising");
  		myscadaSetText("text00033","Arm B Raisnig");
  		myscadaSetText("text00034","Arm B Lowering");
  		myscadaSetText("text00035","Gate Closing");
  		myscadaSetText("text00036","Gate Opening");
  		myscadaSetText("text00032","Arm A Lowering");
  		myscadaSetText("text00037","Prop. Valve");
  		myscadaSetText("text00039","Prop. Valve");
  		myscadaSetText("text00042","Arm A Press.");
  		myscadaSetText("text00044","Arm B Press.");
  		change = 0;
      }
      if(names == 1)
      {
      		myscadaSetText("text00001","SL311");
  		myscadaSetText("text00002","BT311");
  		myscadaSetText("text00003","EH311");
  		myscadaSetText("text00005","BP311");
  		myscadaSetText("text0002","YA316");
  		myscadaSetText("text00006","YA317");
  		myscadaSetText("text00007","YA311.1/2");
  		myscadaSetText("text00008","YA315");
  		myscadaSetText("text00009","YA314");
  		myscadaSetText("text00010","YA312");
  		myscadaSetText("text00011","YA313");
  		myscadaSetText("text00012","SP312");
  		myscadaSetText("text00013","M311");
  		myscadaSetText("text00025","SP613");
  		myscadaSetText("text00026","M613");
  		myscadaSetText("text00027","SP612");
  		myscadaSetText("text00028","M612");
  		myscadaSetText("text00019","SL611");
  		myscadaSetText("text00020","BT611");
  		myscadaSetText("text00021","EH611");
  		myscadaSetText("text00029","SP611");
  		myscadaSetText("text00030","M611");
  		myscadaSetText("text00031","YA612");
  		myscadaSetText("text00033","YA615");
  		myscadaSetText("text00034","YA616");
  		myscadaSetText("text00035","YA617");
  		myscadaSetText("text00036","YA618");
  		myscadaSetText("text00032","YA613");
  		myscadaSetText("text00037","YA611");
  		myscadaSetText("text00039","YA614");
  		myscadaSetText("text00042","BP611");
  		myscadaSetText("text00044","BP612");
  		change = 0;
      }
  }
  
  //pressure HPU
  if(pressHPU > 0)
  {
  	if(oRW && supply) pressHPU = pressHPU -valveSpeed;
  	if(cRW && supply) pressHPU = pressHPU -valveSpeed;
  	if(oGW && supply) pressHPU = pressHPU -valveSpeed;
  	if(cGW && supply) pressHPU = pressHPU -valveSpeed;
  	if(brake) pressHPU = pressHPU -valveSpeed;
  	if(!emg) pressHPU = pressHPU -(valveSpeed*2);
  }
  if(pressHPU < 200)
  {
  	if(pumpHPU) pressHPU = pressHPU + pumpSpeed;
  }
  else pressHPU = 190;
  
  //temp HPU
  if(pumpHPU)
  {
  	tempHPU = tempHPU + heatPump;
  }
  if(heatHPU)
  {
  	tempHPU = tempHPU + heat;
  }
  if(!heatHPU && !pumpHPU) tempHPU = tempHPU - cooling;
  
  //temp CS
  if(pumpA)
  {
  	tempCS = tempCS + heatPump;
  }
  if(pumpB)
  {
  	tempCS = tempCS + heatPump;
  }
  if(pumpG)
  {
  	tempCS = tempCS + heatPump;
  }
  if(heatCS)
  {
  	tempCS = tempCS + heat;
  }
  if (!pumpA && !pumpB && !pumpG && !heatCS) tempCS = tempCS - cooling;
  
  // HPU automatic
  if(hpumode == 1)
  {
  	tickHPU = myscadaRunCount%32;
  	if(tickHPU < 8)
  	{
  		oGW = 1;
  		cGW = 0;
  		oRW = 1;
  		cRW = 0;
  		supply = 1;
  	}
  	else if(tickHPU < 16)
  	{
  		oGW = 0;
  		cGW = 0;
  		oRW = 0;
  		cRW = 0;
  		supply = 0;
  	}
  	else if(tickHPU < 24)
  	{
  		oGW = 0;
  		cGW = 1;
  		oRW = 0;
  		cRW = 1;
  		supply = 1;
  	}
  	else
  	{
  		oGW = 0;
  		cGW = 0;
  		oRW = 0;
  		cRW = 0;
  		supply = 0;
  	}	
  	//pressure
  	if(pressHPU < 91) pumpHPU = 1;
  	if(pressHPU > 116) pumpHPU = 0;
  	//heating
  	if(tempHPU < 10) heatHPU = 1;
  	if(tempHPU > 20) heatHPU = 0;
  	
  }
  
  	pressA = (prop1/100) * (160 + Math.sin(myscadaRunCount*10));
  	pressB = (prop2/100) * (160 - Math.sin(myscadaRunCount*10));
  
  	if(prop1 > 0) prop1b = 1;
  	else prop1b = 0;
  
  	if(prop2 > 0) prop2b = 1;
  	else prop2b = 0;
  
  // CS automatic
  if(csmode == 1)
  {	
  	tickCS = myscadaRunCount%120;
  	if(tickCS < 32)
  	{
  		lA = 1;
  		lB = 1;
  		rA = 0;
  		rB = 0;
  		pumpA = 1;
  		pumpB = 1;
  		oG = 0;
  		cG = 0;
  		pumpG = 0;
  	}
  	else if(tickCS < 40)
  	{		
  		lA = 0;
  		lB = 0;
  		rA = 0;
  		rB= 1;		
  		pumpA = 0;
  		pumpB = 1;
  		oG = 0;
  		cG = 0;
  		pumpG = 0;
  	}
  	else if(tickCS < 72)
  	{
  		lA = 0;
  		lB = 0;
  		rA = 1;
  		rB= 1;		
  		pumpA = 1;
  		pumpB = 1;
  		oG = 0;
  		cG = 0;
  		pumpG = 0;
  	}
  	else if(tickCS < 88)
  	{
  		lA = 0;
  		lB = 0;
  		rA = 0;
  		rB= 0;		
  		pumpA = 0;
  		pumpB = 0;
  		oG = 1;
  		cG = 0;
  		pumpG = 1;
  	}
  	else if(tickCS < 96)
  	{
  		lA = 0;
  		lB = 0;
  		rA = 0;
  		rB= 0;		
  		pumpA = 0;
  		pumpB = 0;
  		oG = 0;
  		cG = 1;
  		pumpG = 1;
  	}
  	else 
  	{
  		lA = 0;
  		lB = 0;
  		rA = 0;
  		rB= 0;		
  		pumpA = 0;
  		pumpB = 0;
  		oG = 0;
  		cG = 0;
  		pumpG = 0;
  	}
  	
  	if(rA == 1) 
  	{
  		if(prop1 < 85) prop1 = prop1 + 12.5;
  		//prop1 = 75;
  	}
  	else if (lA == 1)
  	{
  		if(prop1 < 60) prop1 = prop1 + 12.5;
  		//prop1 = 50;
  	}
  	else prop1 = 0;
  
  	if(rB == 1) 
  	{
  		if(prop2 < 75) prop2 = prop2 + 12.5;
  		//prop2 = 75;
  	}
  	else if (lB == 1)
  	{
  		if(prop2 < 50) prop2 = prop2 + 12.5;
  		//prop2 = 50;
  	}
  	else prop2 = 0;
  
  	
  	
  	//heating	
  	if(tempCS < 10) heatCS = 1;
  	if(tempCS > 20) heatCS = 0;
  	
  	
  }
}

